ResourceBundleMap (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.ajax4jsf.component.ResourceBundleMap class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component
Class ResourceBundleMap

    java.lang.Object
      org.ajax4jsf.component.ResourceBundleMap

All Implemented Interfaces:
  java.util.Map<java.lang.String,java.lang.Object>

    public class ResourceBundleMap

extends java.lang.Object
implements java.util.Map<java.lang.String,java.lang.Object>

Very limited Map decorator to ResourceBundle.

Author:
  shura

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`ResourceBundleMap(java.util.ResourceBundle bundle)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object value)`
`java.util.Set<java.util.Map.Entry<java.lang.String,java.lang.Object>>` | `entrySet()`
`java.lang.Object` | `get(java.lang.Object key)`
`boolean` | `isEmpty()`
`java.util.Set<java.lang.String>` | `keySet()`
`java.lang.Object` | `put(java.lang.String arg0, java.lang.Object arg1)`
`void` | `putAll(java.util.Map<? extends java.lang.String,? extends java.lang.Object> t)`
`java.lang.Object` | `remove(java.lang.Object key)`
`int` | `size()`
`java.util.Collection<java.lang.Object>` | `values()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### ResourceBundleMap

    public ResourceBundleMap(java.util.ResourceBundle bundle)

Parameters:
  `bundle` -

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### put

    public java.lang.Object put(java.lang.String arg0,
                                java.lang.Object arg1)

  Specified by:
    `put` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### keySet

    public java.util.Set<java.lang.String> keySet()

  Specified by:
    `keySet` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### values

    public java.util.Collection<java.lang.Object> values()

  Specified by:
    `values` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### entrySet

    public java.util.Set<java.util.Map.Entry<java.lang.String,java.lang.Object>> entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### putAll

    public void putAll(java.util.Map<? extends java.lang.String,? extends java.lang.Object> t)

  Specified by:
    `putAll` in interface `java.util.Map<java.lang.String,java.lang.Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.